Subject: [AVT] Re: Draft hdrext minutes from Montreal meeting

From: lazzaro <[email-masked]>
Date: Sat, 5 Aug 2006 10:22:03 -0700

On Aug 5, 2006, at 9:00 AM, [email-masked] wrote:

> We wanted to carry SMPTE time-codes with RTP streams, sometimes:
> * without having a new profile in which they were always or  
> sometimes present
> * in a codec-independent (payload independent) way
> * without using a separate RTP stream for what is a low-bit-rate  
> set of information
> * without requiring that the end-points knew about or cared about  
> SMPTE time-codes
>
> The RTP header extension seems ideal for this purpose, but I was  
> hesitant to define a SMPTE time-code header extension, since that  
> would 'squat' on the single header extension and make it  
> unavailable for other uses (e.g. ZRTP).  In addition, the current  
> definition also relies on profiles to define the identifier space,  
> and they currently say nothing at all, i.e. there is no  
> registration etc.

And likewise, my own interest in this header extension centers around
defining header extensions to carry meta-data similiar in spirit to  
SMPTE,
that is describing the content -- examples would be a header  
extension for
instantaneous beats-per-minute of audio, to enable DJ-style mix downs of
multiple audio streams.

Personally, I'd be quite happy with a restriction of "no header  
extension may
be defined that cannot be ignored by receiver whose only interest is  
in the
contents of the main payload".  Or in other words "it has to be meta- 
data,
not data".  This would seem to answer a lot of the concerns I read in  
the
minutes.

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt